<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:04 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.conn Class Hierarchy (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.conn Class Hierarchy (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/cache/memcached/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/tsccm/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl.conn
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn"><B>AbstractClientConnAdapter</B></A> (implements org.apache.http.protocol.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>, org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn"><B>AbstractPooledConnAdapter</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.ConnAdapter.html" title="class in org.apache.http.impl.conn"><B>SingleClientConnManager.ConnAdapter</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/impl/AbstractHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http.impl"><B>AbstractHttpClientConnection</B></A> (implements org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/impl/SocketHttpClientConnection.html?is-external=true" title="class or interface in org.apache.http.impl"><B>SocketHttpClientConnection</B></A> (implements org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnection.html" title="class in org.apache.http.impl.conn"><B>DefaultClientConnection</B></A> (implements org.apache.http.protocol.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>, org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/OperatedClientConnection.html" title="interface in org.apache.http.conn">OperatedClientConnection</A>)
</UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.io.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/impl/io/AbstractMessageParser.html?is-external=true" title="class or interface in org.apache.http.impl.io"><B>AbstractMessageParser</B></A>&lt;T&gt; (implements org.apache.http.io.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/io/HttpMessageParser.html?is-external=true" title="class or interface in org.apache.http.io">HttpMessageParser</A>&lt;T&gt;)
<UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/DefaultHttpResponseParser.html" title="class in org.apache.http.impl.conn"><B>DefaultHttpResponseParser</B></A><LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/DefaultResponseParser.html" title="class in org.apache.http.impl.conn"><B>DefaultResponseParser</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn"><B>AbstractPoolEntry</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.PoolEntry.html" title="class in org.apache.http.impl.conn"><B>SingleClientConnManager.PoolEntry</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/BasicClientConnectionManager.html" title="class in org.apache.http.impl.conn"><B>BasicClientConnectionManager</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnectionOperator.html" title="class in org.apache.http.impl.conn"><B>DefaultClientConnectionOperator</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/ClientConnectionOperator.html" title="interface in org.apache.http.conn">ClientConnectionOperator</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/DefaultHttpRoutePlanner.html" title="class in org.apache.http.impl.conn"><B>DefaultHttpRoutePlanner</B></A> (implements org.apache.http.conn.routing.<A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/IdleConnectionHandler.html" title="class in org.apache.http.impl.conn"><B>IdleConnectionHandler</B></A><LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/InMemoryDnsResolver.html" title="class in org.apache.http.impl.conn"><B>InMemoryDnsResolver</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/LoggingSessionInputBuffer.html" title="class in org.apache.http.impl.conn"><B>LoggingSessionInputBuffer</B></A> (implements org.apache.http.io.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/io/EofSensor.html?is-external=true" title="class or interface in org.apache.http.io">EofSensor</A>, org.apache.http.io.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/io/SessionInputBuffer.html?is-external=true" title="class or interface in org.apache.http.io">SessionInputBuffer</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/LoggingSessionOutputBuffer.html" title="class in org.apache.http.impl.conn"><B>LoggingSessionOutputBuffer</B></A> (implements org.apache.http.io.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/io/SessionOutputBuffer.html?is-external=true" title="class or interface in org.apache.http.io">SessionOutputBuffer</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html" title="class in org.apache.http.impl.conn"><B>PoolingClientConnectionManager</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>, org.apache.http.pool.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/pool/ConnPoolControl.html?is-external=true" title="class or interface in org.apache.http.pool">ConnPoolControl</A>&lt;T&gt;)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/ProxySelectorRoutePlanner.html" title="class in org.apache.http.impl.conn"><B>ProxySelectorRoutePlanner</B></A> (implements org.apache.http.conn.routing.<A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/SchemeRegistryFactory.html" title="class in org.apache.http.impl.conn"><B>SchemeRegistryFactory</B></A><LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.html" title="class in org.apache.http.impl.conn"><B>SingleClientConnManager</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>)
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/SystemDefaultDnsResolver.html" title="class in org.apache.http.impl.conn"><B>SystemDefaultDnsResolver</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>)
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><B>RuntimeException</B></A><UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang"><B>IllegalStateException</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/ConnectionShutdownException.html" title="class in org.apache.http.impl.conn"><B>ConnectionShutdownException</B></A></UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/Wire.html" title="class in org.apache.http.impl.conn"><B>Wire</B></A></UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/cache/memcached/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/tsccm/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
